AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)  \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	-I$(top_srcdir)/tests/traced/common

noinst_PROGRAMS = \
	simple-show \
	theme-icon \
	invalid-image \
	url-image \
	data-uri \
	invalid-data-uri 


invalid_data_uri_SOURCES = \
	invalid-data-uri.c \
	../common/uwa-test-client.c
invalid_data_uri_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

simple_show_SOURCES = \
	simple-show.c \
	../common/uwa-test-client.c
simple_show_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

theme_icon_SOURCES = \
	theme-icon.c \
	../common/uwa-test-client.c
theme_icon_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

invalid_image_SOURCES = \
	invalid-image.c \
	../common/uwa-test-client.c
invalid_image_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

data_uri_SOURCES = \
	data-uri.c \
	../common/uwa-test-client.c
data_uri_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

url_image_SOURCES = \
	url-image.c \
	../common/uwa-test-client.c
url_image_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la
